# Create or update an asset **PUT /eTech/rest/ws/referentials/v1/assets/code:{assetCode}** Creates or updates an asset. Assets without sub-assets can be transferred via this endpoint. A separate `transferAsset` endpoint for moving parent assets and their sub-assets to another site or office is planned for a future release. Rate limit range: Standard ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **assetCode** (string) Requested asset code, case insensitive. ### Body: application/json (object) - **label** (string) Asset label. It can be the name but it can also be an identifier (barCode, QRCode or NFC) used for asset search purpose. - **siteCode** (string) Related site code. Case insensitive. - **assetTypeCode** (string) Asset type code. Case insensitive. - **officeCode** (string) Code of the asset. Case insensitive. - **parentAssetCode** (string) Parent asset code (if hierarchical structure). Case insensitive. - **description** (string | null) Asset description if any. - **commissioning** (object) Commissioning details of the asset. If absent, status defaults to ACTIVE and startDate to null. - **customFields** (object) Map of custom fields of an asset. ## Responses ### 201 Asset created. ### 204 Asset updated. ### 400 Bad Request - validation errors #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)